Kubernetes kubectl
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Kubernetes kubectl action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "GKE CLI",
"disabled": true,
"type": "KUBERNETES_CLI",
"trigger_time": "ON_EVERY_EXECUTION",
"targets": [
{
"zone": "europe-west3-a",
"project_id": "tests-buddy",
"identifier": "my_target_id",
"name": "my-target",
"integration": "hlgqrrbcni",
"type": "GKE",
"scope": "ACTION",
"tags": [
"olive",
"orange",
"rabsperry"
],
"cluster": "buddy-tests"
}
],
"execute_commands": [
"kubectl get namespaces -o=custom-columns=NAME:.metadata.name",
"cat ~/.kube/config"
],
"execute_every_command": true,
"setup_commands": [
"apt-get update"
],
"variables": [
{
"key": "env_key",
"value": "env_value",
"type": "VAR",
"settable": false,
"run_only_settable": false,
"encrypted": false,
"description": "vnxmrlbjgo"
}
],
"shell": "BASH",
"kubectl_version": "latest",
"timeout": 1800,
"retry_interval": 60,
"retry_count": 5,
"ignore_errors": true,
"current_revision": "21825f31ddce8a89b3ed9f4c92f038b339cde150",
"loop": [
"env_key"
]
}'STATUS200 OK